@media screen and (max-width:575px) {
  .theme_button, input[type="submit"], .woocommerce a.button, .woocommerce button.button.alt, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce a.added_to_cart {
    font-size: 12px;
    padding: 4px;
    margin-top: 0;
  }
  section h3 {
    font-size: 20px;
  }
  #upcoming-events .upcoming-events-content a, #our-team .our-team-content .our-team-link, #latest-news .latest-news-box h4{
    font-size: 16px;
  }
  #upcoming-events .upcoming-events-content span, #upcoming-events .event-text, #latest-news .latest-news-box .entry-author, #latest-news .latest-news-box .entry-author a{
    font-size: 13px;
  }
  .section-small-title, #our-testimonial .testimonial-content .testimonials-text p {
    font-size: 14px;
    margin-bottom: 0;
  }
  #vw-slider h2 {
    font-size: 18px;
    padding-top: 0;
    padding-bottom: 10px;
    line-height: 24px;
    letter-spacing: 0;
  }
  #vw-slider .inner_carousel h2 small{
    font-size: 12px !important;
    margin-bottom: 6px;
  }
  .about-content p{
    font-size: 14px;
  }
  .woocommerce-cart table.cart td.actions .coupon .input-text{
    width: 37%;
  }
  #vw-slider .read-more .plus-icon{
    font-size: 13px;
    padding: 14px 12px;
  }
  #vw-slider .carousel-caption.d-none.d-md-block, #vw-slider ol.carousel-indicators {
    display: none !important;
  }
  #our-project .vw-box{
    max-width: 295px;
    margin: 0 auto;
  }
  blockquote{
    width: 100%;
  }
  section h2{
    font-size: 22px;
  }
  .above_title {
    margin-top: 2%;
  }
  .menubar {
    padding: 0 15px;
  }
  .serach_inner input.search-field {
    width: 85%;
  }
  button.owl-prev{
    left: 0px;
  }
  button.owl-next{
    right: 0
  }
  .logo p{
    line-height: 17px;
  }
  .header-nav{
    padding-top: 0;
  }
  #vw-slider p{
    display: none;
  }
  .footer_menu ul{
    text-align: left;
    padding-top: 15px;
  }
  #vw-header .search-form label{
    width: 53%;
  }
  input.search-field{
    width: 97%;
  }
  .header-nav .menubar{
    background-color: transparent;
  }
  #vw-header .header-search{
    position: unset;
  }
  #vw-slider .slide_nav{
    display: none;
  }
  .logo h1 a{
    font-size: 17px;
  }
  .post-navigation .nav-previous, .post-navigation .nav-next{
    width: 100%;
  }
  .search_popup input.search-submit{
    padding:3px 20px; 
  }
  #our-project .our-project-content{
    margin-bottom: 20px;
  }
  #why-choose-us ul .why-choose-us-three{
    position: unset;
  }
  #why-choose-us ul .why-choose-us-four{
    position: unset;
  }
  #footer .footer-logo{
    width: 280px;
  }
  #topbar .topbar-social{
    padding-top: 15px;
  }
  #topbar .topbar-text {
    font-size: 13px;
  }
  #topbar .topbar-details i{
    font-size: 18px;
  }
  #topbar .topbar-phone{
    padding-top: 10px;
    padding-bottom: 10px;
  }
  #about-us .about-features h5{
    padding-top: 10px;
  }
  #our-services .our-services-content .our-services-box1{
    max-width: 300px;
    margin: 0 auto 30px auto;
  }
  #why-choose-us .why-choose-us-text1, #why-choose-us .why-choose-us-text2, #upcoming-events .upcoming-events-content, #our-testimonial .testimonial-content, #latest-news .news-images, #latest-news .latest-news-box, .copyright, .copyright .socialbox, #newsletter .newsletter-content, .latest-news-image, .footer-details, section .media, .why-choose-us-content, .contact-info, #vw-header .header-search, .contact-info-box .c_content, .serach_inner form.search-form, #topbar .topbar-info, #about-us .about-content, #topbar .topbar-social, #our-project .project-tabs{
    text-align: center;
  }
  #why-choose-us .why-choose-us-icon1, #why-choose-us .why-choose-us-icon2{
    justify-content: center;
  }
  #why-choose-us .why-choose-us-image{
    padding-bottom: 30px;
  }
  #latest-news .news-images .nav-item{
    max-width: 40%;
    display: inline-block;
  }
  #latest-news .latest-news-box .entry-author{
    padding-top: 15px;
    display: inline-block;
  }
  .copyright .socialbox {
    padding-top: 20px;
  }
  #return-to-top{
    bottom: 56px;
    right: 9px;
  }
  #our-products .owl-carousel .owl-nav .owl-prev i{
    left: 12px;
  }
  #our-products .owl-carousel .owl-nav .owl-next i{
    right: 12px;
  }
  #newsletter .newsletter-shortcode input[type="submit"] {
    padding: 10px;
  }
  .menu-footer-menu-container ul li {
    width: auto;
    display: table !important;
    float: none;
    text-align: center !important;
    margin: 0 auto !important;
  }
  #newsletter{
    margin: 0 auto 9px auto !important;
  }
  #topbar .topbat-button {
    margin: 7px 0;
    display: inline-block;
  }
}
@media screen and (max-width:767px) {
  .top_block{
    padding: 5px 0!important;
    border-right: none;
  }
  #topbar .topbar-details{
    padding: 10px 0;
  }
  section .media {
    display: block;
    margin: 0 auto;
  }
  section .media-body, .newsletter-shortcode {
    padding-top: 15px;
  }
  #about-us .about-features .about-icon{
    margin-right: 0 !important;
  }
  #why-choose-us .why-choose-us-content span {
    display: block;
    margin: 0 auto;
  }
  .why-choose-us-content {
    margin: 10px;
    margin-bottom: 20px;
  }
  #our-project .project-tabs ul {
    padding-top: 0;
  }
  section{
    padding: 30px 0;
  }
  #why-choose-us .why-choose-us-text1, #why-choose-us .why-choose-us-text2, #upcoming-events .upcoming-events-content, #our-testimonial .testimonial-content, #latest-news .news-images, #latest-news .latest-news-box, #newsletter .newsletter-content, .latest-news-image, section .media, .why-choose-us-content, .contact-info, #vw-header .header-search, .contact-info-box .c_content, .serach_inner form.search-form, #topbar .topbar-info, #about-us .about-content, #topbar .topbar-social, #our-project .project-tabs{
    text-align: center;
  }
  .testimonials-text:before, #vw-slider p{
    display: none;
  }
  #our-testimonial .owl-carousel .owl-dots{
    bottom: 50px;
    transform: rotate(0deg);
    bottom: -5%;
    left: 0;  
    right: 0;
    margin: 0 auto;
  }
  #our-testimonial .testimonial-content, #newsletter{
    max-width: 100%;
  }
  #latest-news .news-date {
    right: 100px;
    display: table;
    border-right: 7px solid var(--green);
    margin: 0 auto;
  }
  .date_inner {
    left: unset;
  }
  #latest-news .theme_button {
    margin-top: 20px;
  }
  #our-testimonial {
    padding-bottom: 40px;
  }
  #upcoming-events .upcoming-events-box{
    background-color: transparent;
  }
}
@media screen and (min-width: 576px) and (max-width:767px){
  section h3{
    font-size: 22px;
  }
  #upcoming-events .upcoming-events-content a{
    font-size: 16px;
  }
  #topbar .topbat-button, #upcoming-events .upcoming-events-content span, #upcoming-events .event-text{
    font-size: 12px;
  }
  a.read-more.theme_button {
    margin-top: 0;
  }
  button.owl-next{
    right:0;
  }
  button.owl-prev{
    left:0;
  }
  .logo_footer {
    margin-bottom: 20px;
  }
  .footer_form {
     padding: 0; 
  }
  .postbox h3{
    line-height: 22px;
  }
  #latest_post .owl-nav {
    position: static;
    margin: 0 auto;
  }
  .postbox .postbox-content{
    padding: 5px 15px;
  }
  .search-box span {
    float: right;
  }
  .project_tab_content .vw-box {
    margin-top: 15px;
  }
  .woocommerce-cart table.cart td.actions .coupon .input-text
  {
    width: 37%;
  }
  #vw-slider h2{
    font-size: 22px;
    line-height: 27px;
  }
  #vw-slider .carousel-caption.d-none.d-md-block {
      display: block !important;
  }
  #vw-header .logo a.custom-logo-link{
    position: static;
  }
  .main-header{
    margin-bottom: 25px;
  }
  .main-title{
    font-size: 30px;
  }
  #masthead{
    min-height: 60px;
  }
  .main-navigation li,
  #masthead.scrolled .main-navigation li{
    display: block;
    line-height: 1.5 !important;
  }
  .sf-arrows .sf-with-ul{
    padding-right: 0;
  }
  .menu > ul > li > a{
    padding: 10px 0;
  }
  .main-navigation ul ul{
    position: static;
    width: 100%;
    box-shadow: none;
  }
  #footer-menu ul {
    float: none;
    width: 100%;
    margin-top: 15px;
  }
  .woocommerce div.product div.images .flex-control-thumbs{
    margin: 10px 0 0 0;
  }
  .innermenubox {
    position: static;
  }
  .contact-box .wpcf7 input[type="text"],
  .contact-box .wpcf7 input[type="email"],
  .contact-box .wpcf7 textarea{
    width: 100% !important;
  }
  #vw-slider .carousel-prev-button{
    left: 12px;
  }
  #vw-slider .carousel-next-button{
    right: 12px;
  }
  .footer_menu ul{
    text-align: left;
  }
  .header-nav{
    padding-top: 6px;
  }
  .header-nav .menubar {
    background-color: transparent;
  }
  .logo h1 a{
    font-size: 23px;
  }
  #topbar .topbar-social{
    padding-top: 15px;
  }
  #topbar .topbar-phone{
    padding-top: 10px;
    padding-bottom: 10px;
  }
  #why-choose-us ul .why-choose-us-three, #why-choose-us ul .why-choose-us-four{
    position: unset;
  }
  #about-us .about-features h5{
    padding-top: 15px;
  }
  #why-choose-us .why-choose-us-icon1, #why-choose-us .why-choose-us-icon2{
    justify-content: center;
  }
  #why-choose-us .why-choose-us-content h5{
    padding-top: 10px;
  }
  #why-choose-us .why-choose-us-image{
    padding-bottom: 40px;
  }
  #latest-news .news-images li{
    max-width: 117px;
    display: inline-block;
  }
  #latest-news .news-date{
    right: 93px;
  }
  #latest-news .latest-news-box .entry-author{
    display: inline-block;
    padding-top: 10px;
  }
  .copyright .socialbox{
    padding-top: 20px;
  }
  #latest_post .owl-nav,  #footer-menu ul, .copyright .copy-text, .serach_inner form.search-form, #topbar .topbar-social, #topbar .topbar-details, #about-us .about-features, #about-us .about-button, #about-us .about-content, #why-choose-us .why-choose-us-text1, #why-choose-us .why-choose-us-text2, #upcoming-events .upcoming-events-content, #latest-news .news-images, #latest-news .latest-news-det, .copyright .socialbox{
    text-align: center;
  }
}
@media screen and (min-width: 768px) and (max-width:991px) {
  .top_child:last-child .top_block {
    border-top: 1px solid #ebebeb;
    border-left: 1px solid #ebebeb;
    border-right: 1px solid #ebebeb;
  }
  .top_block {
    border-right: 1px solid #ebebeb;
    border-left: 1px solid #ebebeb;
    border-top: 1px solid #ebebeb;
  }
  section h3{
    font-size: 22px;
  }
  #about-us .about-features-text, .theme_button, input[type="submit"], .woocommerce a.button, .woocommerce button.button.alt, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce a.added_to_cart{
    font-size: 13px;
  }
  #topbar .topbar-info{
    border-bottom: none;
  }
  #topbar .topbar-info .socialbox a:last-child {
    display: none;
  }
  #topbar .topbat-button{
    padding: 12px;
  }
  .our-project-head {
    padding-bottom: 10px !important;
  }
  #vw-slider h2{
    font-size: 24px;
    padding-top: 0;
  }
  #vw-slider p{
    margin: 0;
    max-width: 90%;
    line-height: 25px !important;
  }
  section{
    padding: 40px;
  }
  #upcoming-events .upcoming-events-box{
    background-color: transparent;
  }
  .newsletter-content{
    border-right: none;
  }
  #newsletter {
    max-width: 100%;
    margin: 0 auto 20px auto;
  }
  #our-testimonial .testimonial-content .testimonials-text p{
    font-size: 14px;
  }
  .search-form button i {
    font-size: 12px !important;
    padding-right: 2px !important;
  }
  #footer #site-navigation ul li{
    padding-top: 14px;
    padding-bottom: 11px;
  }
  #vw-slider .read-more {
    margin-top: 20px;
  }
  #why-choose-us ul .why-choose-us-three, #why-choose-us ul .why-choose-us-four{
    position: unset;
  }
  #why-choose-us .why-choose-us-content a{
    font-size: 15px;
  }
  #why-choose-us .why-choose-us-image img{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    max-width: 100%;
  }
  #latest-news .news-images, #upcoming-events .upcoming-events-content, .copyright .socialbox, .copyright p, #vw-header .logo, .logo p, #topbar .topbar-social, #topbar .topbar-details, .newsletter-content{
    text-align: center;
  }
  #latest-news .news-images li{
    max-width: 140px;
    display: inline-block;
  }
  .copyright .socialbox{
    padding-top: 20px;
  }
  #vw-slider ol.carousel-indicators{
    bottom: 5%;
  }
  .our_projects_box .vw-box .vw-box-content{
    padding-top: 19% !important;
  }
}
@media screen and (max-width: 1024px) and (min-width:991px){
  #return-to-top{
    bottom: 74px;
  }
  .search-box{
    float: none;
  }
  .search-box form.search-form{
    margin: 0 auto;
  }
  .socialbox a i{
    font-size: 12px;
    width: auto;
  }
  .teambox{
    margin-bottom: 30px;
  }   
  .postbox{ 
    margin-bottom: 20px; 
  }
  .slider-box{
    max-width: 82%;
    top: 42%;
  }
  .menu-footer-menu-container ul li{
    float: none;
    width: 100%;
  }
  .logo h1 a{
    font-size: 18px;
  }
  .widget th, .widget td{
    padding: 0;
  }
  #upcoming-events .upcoming-events-content a{
    font-size: 17px;
  }
  #vw-slider h2{
    font-size: 26px;
    padding-top: 0px;
  }
  #vw-slider p{
    font-size: 14px;
  }
  #vw-slider ol.carousel-indicators{
    bottom: 8%;
  }
  #our-services .our-services-content a{
    font-size: 15px;
  }
  #why-choose-us ul .why-choose-us-three, #why-choose-us ul .why-choose-us-four{
    position: unset;
  }
  #upcoming-events .upcoming-events-box{
    padding-top: 15px;
  }
  .our_projects_box .vw-box .vw-box-content{
    padding-top: 19% !important;
  }
}
@media screen and (max-width: 1024px){
  #our-records .our-records-content p{
    margin: 10px 0;
  }
  .main-header .sidenav {
    display: none;
  }
  .home .main-navigation ul
  {
    border:none;
  }
  .list_outer {
    padding: 20px 20px;
    background-color: rgba(255, 255, 255, 0.8);
  }
  .main-navigation li{
    padding: 0;
  }
  .main-navigation ul ul{
    background-color: transparent;
  }
  .main-navigation ul ul li, .menubar.scrolled .main-navigation ul ul li{
    border-bottom: none;
  }
  .main-navigation ul ul li:hover > a{
    color: #fff;
  }
  .toggle-nav {
    display: block;
    float: left;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
  }
  .toggle-nav i {
    font-size: 20px;
    color: white;
  }
  #sidebar1{
    width: 0;
    transition: 0.5s;
  }

  amp-sidebar#sidebar1 {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 9;
    top: 0;
    right: 0;
    background-color: #111;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
  }
  .sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    color: #818181;
    display: block;
    transition: 0.3s;
  }
  .sidenav a:hover {
    color: #f1f1f1;
  }
  #close_nav {
    position: absolute;
    top: 8px;
    right: 1em;
    font-size: 26px;
    color: white;
    cursor: pointer;
    z-index: 99;
  }
  #close_nav i{
    color: white;
  }
  .sidenav #site-navigation {
    width: 100%;
  }
  .toggle-nav span{
    font-size:30px;
    cursor:pointer; 
    text-align: right;
  }
  iframe {
    width: 100%;
    height: auto;
  }
  .innermenubox {
    position: static;
    padding-bottom: 10px;
  }
  .main-navigation .menu{
    float: none;
    text-align: center;
  }
  .main-navigation ul ul li,
  #masthead.scrolled .main-navigation ul ul li{
    display: block;
  }
  .main-navigation .menu > ul > li.highlight{
    background: transparent !important;
  }
  .menu > ul > li:hover:before, 
  .menu > ul > li.current_page_item:before, 
  .menu > ul > li.current-menu-item:before{
    display: none;
  }
  .sf-arrows .sf-with-ul:after{
    border-top-color: #333;
  }
  .toggle i.fa.fa-bars,.toggle i.fa.fa-times {
    float: right;
    color: black;
  }
  .menubar .nav ul{ 
    width:100%;
    margin-top:0; 
  }
  .menubar .nav ul li,
  .menubar.scrolled .main-navigation li{
    border-top:1px #303030 solid; 
    display:block;
    text-align:left;
    float:none;
    width: 18rem;
    padding: 5px;
  }
  .nav ul li a{
    padding:5px 10px; 
    display:block; 
    color:#ffffff;
  }
  .nav ul li ul,
  .nav ul li ul ul{ 
    display:block !important;
  }
  .nav ul li ul li a:before{
    content:"\00BB \00a0";
  }
  .nav ul li ul li a{
  padding-left:20px !important;
  }
  .nav ul li ul li ul li a{
    padding-left:30px !important;
  }
  .main-navigation ul ul{
    position: static;
    width: 100%;
    box-shadow: none;
  }
  .main-navigation li.current_page_item
  {
    border:none;
  }
  .main-navigation ul ul
  {
    background: transparent !important;
  }
  .main-navigation ul ul li
  {
     background: transparent !important;
  }
  .header-wrap .current_page_item
  {
    background:none;
  }
  .header-wrap .current_page_item a
  {
    color: var(--green);
  }
  .header-wrap .current_page_item ul li a
  {
    color: #fff;
  }
  .main-navigation .current_page_ancestor > a
  {
    color: #fff !important;
  }
  .main-header-box
  {
    padding-bottom: 0 !important;
  }
}
@media screen and (max-width: 1200px) and (min-width: 1025px) { 
  .widget th, .widget td
  {
    padding: 0;
  }
  #vw-slider ol.carousel-indicators
  {
    bottom: 8%;
  }
}